> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shipstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Retailer Ship-To Location

> Creates a new `RetailerShipToLocation`. If `is_default=true`, sibling defaults under
the same Retailer are atomically unset.



## OpenAPI

````yaml POST /v1/shipping/retailers/{id}/ship-to-locations
openapi: 3.0.3
info:
  title: ShipStream
  version: '1.0'
  license:
    name: Commercial (Copyright 2025 - All Rights Reserved)
    url: https://shipstream.io
  contact:
    name: ShipStream Support
    email: help@shipstream.io
  termsOfService: https://shipstream.io/legal/api-terms/
servers:
  - url: https://{base_url_domain}/api/global
    description: Direct API Url
    variables:
      base_url_domain:
        default: example.shipstream.app
        description: >-
          The fully qualified domain name for your ShipStream WMS instance. This
          is either a custom domain, or a subdomain of shipstream.app,

          and will be the same as the domain name for the page which you use to
          login to ShipStream WMS.
security:
  - ShipStream_bearerAuth: []
tags:
  - name: Warehouses
    x-displayName: Warehouses
  - name: Products
    x-displayName: Products
  - name: Locations
    x-displayName: Locations
  - name: Levels
    x-displayName: Levels
  - name: HoldReasons
    x-displayName: HoldReasons
  - name: Holds
    x-displayName: Holds
  - name: Deliveries
    description: Every thing about a Delivery Receiving
    x-displayName: Deliveries
  - name: Shipments
    x-displayName: Shipments
  - name: Orders
    x-displayName: Orders
  - name: Retailers
    x-displayName: Retailers
  - name: Users
    x-displayName: Users
  - name: User Roles
    x-displayName: User Roles
  - name: Merchants
    x-displayName: Merchants
  - name: Healthcheck
    x-displayName: Healthcheck
paths:
  /v1/shipping/retailers/{id}/ship-to-locations:
    post:
      tags:
        - Retailers
      summary: Create Retailer Ship-To Location
      description: >-
        Creates a new `RetailerShipToLocation`. If `is_default=true`, sibling
        defaults under

        the same Retailer are atomically unset.
      operationId: createRetailerShipToLocation
      parameters:
        - name: id
          in: path
          schema:
            type: integer
            format: int32
            minimum: 1
          required: true
          description: The `id` of the parent `Retailer`.
      requestBody:
        required: true
        description: >-
          An object conforming to the `RetailerShipToLocation` schema to be
          created.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Shipping_API_v1_ShipToLocation'
      responses:
        '201':
          $ref: '#/components/responses/Shipping_API_v1_201-created-single'
        '400':
          $ref: '#/components/responses/Shipping_API_v1_400-bad-request'
        '404':
          $ref: '#/components/responses/Shipping_API_v1_404-not-found'
        '422':
          $ref: '#/components/responses/Shipping_API_v1_422-unprocessable'
        '500':
          $ref: '#/components/responses/Shipping_API_v1_500-internal-server-error'
components:
  schemas:
    Shipping_API_v1_ShipToLocation:
      title: RetailerShipToLocation
      type: object
      description: >-
        A `RetailerShipToLocation` represents an EDI N1*ST destination

        (distribution center, store, mark-for, drop-ship, or other) under a
        Retailer.
      properties:
        type:
          type: string
          enum:
            - RetailerShipToLocation
          readOnly: true
          description: >-
            This is a read-only property that describes the type of object in
            the response body.
        id:
          type: integer
          format: int32
          minimum: 1
          example: 7
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        code:
          type: string
          minLength: 1
          maxLength: 64
          example: DC-001
          description: Unique location code within the parent Retailer + merchant.
        qualifier_x12:
          type: string
          nullable: true
          maxLength: 4
          example: '92'
          description: |-
            Optional X12 location qualifier.\
              `Optional Field`
        label:
          type: string
          nullable: true
          maxLength: 255
          example: Bentonville DC
          description: Optional display label.
        location_type:
          type: string
          enum:
            - dc
            - store
            - mark_for
            - drop_ship
            - other
          default: dc
          example: dc
          description: Location type.
        company:
          type: string
          nullable: true
          maxLength: 255
          example: Walmart DC
          description: |-
            Optional company name.\
              `Optional Field`
        street:
          type: string
          nullable: true
          description: |-
            Optional street address; may contain newlines.\
              `Optional Field`
        city:
          type: string
          nullable: true
          maxLength: 255
          example: Bentonville
          description: |-
            Optional city.\
              `Optional Field`
        region_id:
          type: integer
          format: int32
          nullable: true
          example: 6
          description: >-
            Optional Magento `directory_country_region` id. Reserved for future
            integration.\
              `Optional Field`
        region:
          type: string
          nullable: true
          maxLength: 255
          example: AR
          description: |-
            Optional free-form region (state/province).\
              `Optional Field`
        postcode:
          type: string
          nullable: true
          maxLength: 32
          example: '72712'
          description: |-
            Optional postal code.\
              `Optional Field`
        country_id:
          type: string
          nullable: true
          maxLength: 2
          example: US
          description: >-
            Optional two-letter ISO country code. Normalized to uppercase by the
            server.\
              `Optional Field`
        telephone:
          type: string
          nullable: true
          maxLength: 32
          example: +1-479-273-4000
          description: |-
            Optional telephone number.\
              `Optional Field`
        email:
          type: string
          nullable: true
          format: email
          maxLength: 255
          example: dc6045@example.com
          description: |-
            Optional email address.\
              `Optional Field`
        is_default:
          type: boolean
          default: false
          example: true
          description: >-
            When true on save, sibling default locations under the same Retailer
            are atomically unset.
        status:
          type: string
          enum:
            - active
            - inactive
          default: active
          example: active
          description: Location lifecycle status.
        retailer:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_RetailerRef'
          description: Parent Retailer reference. Set from the path; cannot be changed.
        created_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
          example: '2026-05-26T12:34:56Z'
          description: |-
            Creation timestamp.\
              `Optional Field`
        updated_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
          example: '2026-05-26T12:34:56Z'
          description: |-
            Last-update timestamp.\
              `Optional Field`
      required:
        - code
      additionalProperties: false
    Shipping_API_v1_RetailerRef:
      title: RetailerRef
      type: object
      description: Reference a `Retailer` by `id`.
      properties:
        type:
          type: string
          enum:
            - Retailer
          example: Retailer
        id:
          type: integer
          format: int32
          minimum: 1
          example: 2
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
  responses:
    Shipping_API_v1_201-created-single:
      description: Created - The resource was created successfully.
      content:
        application/json:
          schema:
            type: object
            properties:
              resource:
                type: object
                description: An object describing the resource that was created.
                properties:
                  type:
                    type: string
                    description: A resource type identifier.
                  id:
                    type: number
                    format: int32
                    example: 1
                    description: The primary key ID of the resource created.
              meta:
                type: object
                properties:
                  processing_time:
                    type: number
                    description: >-
                      Total time in which request is processed and response is
                      sent back.
                    format: float
            additionalProperties: false
    Shipping_API_v1_400-bad-request:
      description: >-
        The request was invalid. The client must change the request. See the
        response body for more details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - parser
                        - parameters
                        - openapi
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: parameters
                message: The supplied parameters are invalid.
                details:
                  - key: hold_until_date
                    message: The date must be in the future.
    Shipping_API_v1_404-not-found:
      description: >-
        The requested resource was not found. It may have been deleted, it may
        have never existed, or you may not have permission to view it.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - not_found
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: not_found
                message: The server could not find the requested resource.
    Shipping_API_v1_422-unprocessable:
      description: >-
        There was an error processing the request. See the response body for
        more details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - application
                        - unable_to_process
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: unable_to_process
                message: The supplied parameters are invalid.
                details:
                  - key: hold_until_date
                    message: The date must be in the future.
    Shipping_API_v1_500-internal-server-error:
      description: >-
        Internal Server Error - Something wrong happened at server side. Contact
        server administrator for more details.
  securitySchemes:
    ShipStream_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Generate a JWT access token through a Custom Global Integration and
        provide it with each request in the `Authorization` header prefixed with
        "Bearer" and then a single space.

````